--- 11_dataconv.txt	2014-07-06 01:13:48.858830915 +0200
+++ 11_dataconv_proposal.txt	2014-07-22 22:33:18.478328687 +0200
@@ -28,7 +28,8 @@
 
 ==== Converting a text file with iconv
 
-TIP: `iconv`(1) is provided as a part of the `libc6` package and it is always available on practically all systems to convert the encoding of characters.
+### HW: libc6 is not available on Windows systems, right?
+TIP: `iconv`(1) is provided as a part of the `libc6` package and it is always available on practically all unix-like systems to convert the encoding of characters.
 
 You can convert encodings of a text file with `iconv`(1) by the following.
 
@@ -44,7 +45,7 @@
 `---------------------------------------------------------`------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 encoding value                                            usage
 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-http://en.wikipedia.org/wiki/ASCII[ASCII].                http://en.wikipedia.org/wiki/ASCII[American Standard Code for Information Interchange], 7 bit code w/o accented characters
+http://en.wikipedia.org/wiki/ASCII[ASCII]                 http://en.wikipedia.org/wiki/ASCII[American Standard Code for Information Interchange], 7 bit code w/o accented characters
 http://en.wikipedia.org/wiki/UTF-8[UTF-8]                 current multilingual standard for all modern OSs
 http://en.wikipedia.org/wiki/ISO/IEC_8859-1[ISO-8859-1]   old standard for western European languages, ASCII + accented characters
 http://en.wikipedia.org/wiki/ISO/IEC_8859-2[ISO-8859-2]   old standard for eastern European languages, ASCII + accented characters
@@ -75,7 +76,7 @@
 
 The http://en.wikipedia.org/wiki/Code_page[code page] is used as the synonym to the character encoding tables for some vendor specific ones.
 
-NOTE: Please note most encoding systems share the same code with ASCII for the 7 bit characters.  But there are some exceptions. If you are converting old Japanese C programs and URLs data from the casually-called shift-JIS encoding format to UTF-8 format, use "`CP932`" as the encoding name instead of "`shift-JIS`" to get the expected results: `0x5C` -> "`\`" and `0x7E` -> "`\~`" .  Otherwise, these are converted to wrong characters.
+NOTE: Please note most encoding systems share the same code with ASCII for the 7 bit characters.  But there are some exceptions. If you are converting old Japanese C programs and URLs data from the casually-called shift-JIS encoding format to UTF-8 format, use "`CP932`" as the encoding name instead of "`shift-JIS`" to get the expected results: `0x5C` -> "`\`" and `0x7E` -> "`\~`".  Otherwise, these are converted to wrong characters.
 
 TIP: `recode`(1) may be used too and offers more than the combined functionality of `iconv`(1), `fromdos`(1), `todos`(1), `frommac`(1), and `tomac`(1).  For more, see "`info recode`".
 
@@ -103,7 +104,8 @@
 done
 --------------------
 
-The "`$ENCDN`" variable should be set by the encoding value in <<list-of-encoding-values>>.
+### HW: make more clearer, that $ENCDN is the "source" encoding (before processing)?
+The "`$ENCDN`" variable should be set to the encoding which the to be processed files have before the converting, as in <<list-of-encoding-values>>.
 
 For more complicated case, please mount a filesystem (e.g. a partition on a disk drive) containing such file names with proper encoding as the `mount`(8) option (see <<_filename_encoding>>) and copy its entire contents to another filesystem mounted as UTF-8 with "`cp -a`" command.
 
@@ -288,7 +290,7 @@
 .List of predefined entities for XML
 [grid="all"]
 `-----------------`------------------------------
-predefined entity character to be converted from
+predefined entity character to be converted into
 -------------------------------------------------
 `&quot;`          `"` : quote
 `&apos;`          `'` : apostrophe
@@ -309,7 +311,7 @@
 
 Basically, once you create well formed XML file, you can convert it to any format using http://en.wikipedia.org/wiki/XSL_Transformations[Extensible Stylesheet Language Transformations (XSLT)].
 
-The http://en.wikipedia.org/wiki/XSL_Formatting_Objects[Extensible Stylesheet Language for Formatting Object (XSL-FO)] is supposed to be solution for formatting. The `fop` package is new to the Debian `main` archive due to its dependence to the http://en.wikipedia.org/wiki/Java_(programming_language)[Java programing language]. So the LaTeX code is usually generated from XML using XSLT and the LaTeX system is used to create printable file such as DVI, PostScript, and PDF.
+The http://en.wikipedia.org/wiki/XSL_Formatting_Objects[Extensible Stylesheet Language for Formatting Objects (XSL-FO)] is supposed to be solution for formatting. The `fop` package is new to the Debian `main` archive due to its dependence to the http://en.wikipedia.org/wiki/Java_(programming_language)[Java programing language]. So the LaTeX code is usually generated from XML using XSLT and the LaTeX system is used to create printable file such as DVI, PostScript, and PDF.
 
 
 .List of XML tools
@@ -328,7 +330,7 @@
 
 Since XML is subset of http://en.wikipedia.org/wiki/SGML[Standard Generalized Markup Language (SGML)], it can be processed by the extensive tools available for SGML, such as http://en.wikipedia.org/wiki/Document_Style_Semantics_and_Specification_Language[Document Style Semantics and Specification Language (DSSSL)].
 
-.List of DSSL tools
+.List of DSSSL tools
 [grid="all"]
 `---------------`-------------`------------`----------`-----------------------------------------------------------------------------------
 package         popcon        size         keyword    description
@@ -382,7 +384,7 @@
 
 The Unix http://en.wikipedia.org/wiki/Troff[troff] program originally developed by AT&T can be used for simple typesetting.  It is usually used to create manpages.
 
-http://en.wikipedia.org/wiki/TeX[TeX] created by Donald Knuth is very powerful type setting tool and is the de facto standard. http://en.wikipedia.org/wiki/LaTeX[LaTeX] originally written by Leslie Lamport enables a high-level access to the power of TeX.
+http://en.wikipedia.org/wiki/TeX[TeX] created by Donald Knuth is a very powerful type setting tool and is the de facto standard. http://en.wikipedia.org/wiki/LaTeX[LaTeX] originally written by Leslie Lamport enables a high-level access to the power of TeX.
 
 .List of type setting tools
 [grid="all"]
@@ -431,8 +433,12 @@
 
 When documents become bigger, sometimes TeX may cause errors.  You must increase pool size in "`/etc/texmf/texmf.cnf`" (or more appropriately edit "`/etc/texmf/texmf.d/95NonPath`" and run `update-texmf`(8)) to fix this.
 
-NOTE: The TeX source of "The TeXbook" is available at http://tug.ctan.org/tex-archive/systems/knuth/dist/tex/texbook.tex[http://tug.ctan.org/tex-archive/systems/knuth/dist/tex/texbook.tex].
+NOTE: The TeX source of "The TeXbook" is available at http://tug.ctan.org/tex-archive/systems/knuth/dist/tex/texbook.tex[http://tug.ctan.org/tex-archive/systems/knuth/dist/tex/texbook.tex]. This file contains most of the required macros.  I heard that you can process this document with `tex`(1) after commenting lines 7 to 10 and adding "`\input manmac \proofmodefalse`". It@@@sq@@@s strongly recommended to buy this book (and all other books from Donald E. Knuth) instead of using the online version but the source is a great example of TeX input!
 
+### HW: the following sentence has content related to the NOTE before. So the following
+### HW: sentence should also be printed in the "NOTE" paragraph.
+### HW: Otherwise you don't know what the following sentence talks about, when you read
+### HW: it in output format.
 This file contains most of the required macros.  I heard that you can process this document with `tex`(1) after commenting lines 7 to 10 and adding "`\input manmac \proofmodefalse`". It@@@sq@@@s strongly recommended to buy this book (and all other books from Donald E. Knuth) instead of using the online version but the source is a great example of TeX input!
 
 ==== Pretty print a manual page
@@ -499,7 +505,7 @@
 $ gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=bla.pdf -f foo1.pdf foo2.pdf
 --------------------
 
-NOTE: The http://en.wikipedia.org/wiki/Portable_Document_Format[PDF], which is widely used cross-platform printable data format, is essentially the compressed  http://en.wikipedia.org/wiki/PostScript[PS] format with few additional features and extensions.
+NOTE: The http://en.wikipedia.org/wiki/Portable_Document_Format[PDF], which is a widely used cross-platform printable data format, is essentially the compressed  http://en.wikipedia.org/wiki/PostScript[PS] format with few additional features and extensions.
 
 TIP: For command line, `psmerge`(1) and other commands from the `psutils` package are useful for manipulating PostScript documents.  Commands in the `pdfjam` package work similarly for manipulating PDF documents. `pdftk`(1) from the `pdftk` package is useful for manipulating PDF documents, too.
 
@@ -557,7 +563,7 @@
 package      popcon        size         keyword      description
 ------------------------------------------------------------------------------------------------------------------------------------------
 `sharutils`  @-@popcon1@-@ @-@psize1@-@ mail         `shar`(1), `unshar`(1), `uuencode`(1), `uudecode`(1)
-`mpack`      @-@popcon1@-@ @-@psize1@-@ MIME         encoder and decoder http://en.wikipedia.org/wiki/MIME[MIME] messages: `mpack`(1) and `munpack`(1)
+`mpack`      @-@popcon1@-@ @-@psize1@-@ MIME         encoding and decoding of http://en.wikipedia.org/wiki/MIME[MIME] messages: `mpack`(1) and `munpack`(1)
 `tnef`       @-@popcon1@-@ @-@psize1@-@ ms-tnef      unpacking http://en.wikipedia.org/wiki/MIME[MIME] attachments of type "application/ms-tnef" which is a Microsoft only format
 `uudeview`   @-@popcon1@-@ @-@psize1@-@ mail         encoder and decoder for the following formats: http://en.wikipedia.org/wiki/Uuencoding[uuencode], http://en.wikipedia.org/wiki/Xxencode[xxencode], http://en.wikipedia.org/wiki/Base64[BASE64], http://en.wikipedia.org/wiki/Quoted-printable[quoted printable], and http://en.wikipedia.org/wiki/BinHex[BinHex]
 `readpst`    @-@popcon1@-@ @-@psize1@-@ PST          convert Microsoft http://en.wikipedia.org/wiki/Personal_Folders_(.pst)_file[Outlook PST files] to http://en.wikipedia.org/wiki/Mbox[mbox] format
@@ -567,6 +573,9 @@
 
 ==== Mail data basics
 
+### HW: "Mail data should be limited to 7 bit."
+### HW: Probably this should be clearified a bit (a mail can be bigger then 7 bit, right?)
+### HW: Like: "Mail data should be limited to 7 bit characters."
 Mail (http://en.wikipedia.org/wiki/Simple_Mail_Transfer_Protocol[SMTP]) data should be limited to 7 bit.  So binary data and 8 bit text data are encoded into 7 bit format with the http://en.wikipedia.org/wiki/MIME[Multipurpose Internet Mail Extensions (MIME)] and the selection of the charset (see <<_basics_of_encoding>>).
 
 The standard mail storage format is mbox formatted according to http://tools.ietf.org/html/rfc2822[RFC2822 (updated RFC822)].  See `mbox`(5) (provided by the `mutt` package).
@@ -594,7 +603,7 @@
 ------------------------------------------------------------------------------------------------------------------------------------------
 `gimp`                     @-@popcon1@-@ @-@psize1@-@ image(bitmap)          GNU Image Manipulation Program
 `imagemagick`              @-@popcon1@-@ @-@psize1@-@ image(bitmap)          image manipulation programs
-`graphicsmagick`           @-@popcon1@-@ @-@psize1@-@ image(bitmap)          image manipulation programs (folk of `imagemagick`)
+`graphicsmagick`           @-@popcon1@-@ @-@psize1@-@ image(bitmap)          image manipulation programs (fork of `imagemagick`)
 `xsane`                    @-@popcon1@-@ @-@psize1@-@ image(bitmap)          GTK+-based X11 frontend for SANE (Scanner Access Now Easy)
 `netpbm`                   @-@popcon1@-@ @-@psize1@-@ image(bitmap)          graphics conversion tools
 `icoutils`                 @-@popcon1@-@ @-@psize1@-@ png<->ico(bitmap)      convert http://en.wikipedia.org/wiki/ICO_(icon_image_file_format)[MS Windows icons and cursors to and from PNG formats] (http://en.wikipedia.org/wiki/Favicon[favicon.ico])
@@ -603,6 +612,10 @@
 `inkscape`                 @-@popcon1@-@ @-@psize1@-@ image(vector)          http://en.wikipedia.org/wiki/Scalable_Vector_Graphics[SVG (Scalable Vector Graphics)] editor
 `dia-gnome`                @-@popcon1@-@ @-@psize1@-@ image(vector)          diagram editor (GNOME)
 `dia`                      @-@popcon1@-@ @-@psize1@-@ image(vector)          diagram editor (Gtk)
+### HW: "Interactive Generation of figures": the uppercase letters made me think,
+### HW: that this "Interactive Generation" is something like a trademark or such.
+### HW: But this IMO this is not the case, right? 
+### HW: Probably something like "facility for interactive creation of figures under X11"
 `xfig`                     @-@popcon1@-@ @-@psize1@-@ image(vector)          facility for Interactive Generation of figures under X11
 `pstoedit`                 @-@popcon1@-@ @-@psize1@-@ ps/pdf->image(vector)  PostScript and PDF files to editable vector graphics converter (SVG)
 `libwmf-bin`               @-@popcon1@-@ @-@psize1@-@ Windows/image(vector)  Windows metafile (vector graphic data) conversion tools
@@ -639,12 +652,14 @@
 `mm3d`                     @-@popcon1@-@ @-@psize1@-@ ms3d, obj, dxf, ...    OpenGL based 3D model editor
 `open-font-design-toolkit` @-@popcon1@-@ @-@psize1@-@ ttf, ps, ...           metapackage for open font design
 `fontforge`                @-@popcon1@-@ @-@psize1@-@ ttf, ps, ...           font editor for PS, TrueType and OpenType fonts
+### HW: There is a wikipedia page explaining Hinting and Gridfitting:
+### HW: https://en.wikipedia.org/wiki/Hinting
 `xgridfit`                 @-@popcon1@-@ @-@psize1@-@ ttf                    program for **gridfitting** and **hinting** TrueType fonts
 ------------------------------------------------------------------------------------------------------------------------------------------
 
 TIP: Search more image tools using regex "`\~Gworks-with::image`" in `aptitude`(8) (see <<_search_method_options_with_aptitude>>).
 
-Although GUI programs such as `gimp`(1) are very powerful, command line tools such as `imagemagick`(1) are quite useful for automating image manipulation with the script.
+Although GUI programs such as `gimp`(1) are very powerful, command line tools such as `imagemagick`(1) are quite useful for automating image manipulation via scripts.
 
 The de facto image file format of the digital camera is the http://en.wikipedia.org/wiki/Exchangeable_image_file_format[Exchangeable Image File Format] (EXIF) which is the http://en.wikipedia.org/wiki/JPEG[JPEG] image file format with additional metadata tags.  It can hold information such as date, time, and camera settings.
 
